Cyberduck Mountain Duck CLI

#6975 closed defect (fixed)

Bonjour list doesn't use advertised name and path for SFTP

Reported by: Craig McQueen Owned by: yla
Priority: normal Milestone: 4.3
Component: core Version: 4.2.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

I have an SFTP server that is advertising on Zeroconf. It advertises a particular path on the server. I can connect to the server, but it doesn't use the advertised path. It tries to connect to /home/<username> instead.

Also, the server is advertised multiple times, with different Zeroconf names and paths (e.g. "Server WWW" with path /var/www, and "Server" with path /). The Bonjour list doesn't show the names or the paths, so it looks as though the same server is just showing up multiple times in the list.

Change History (6)

comment:1 Changed on Nov 29, 2012 at 1:49:50 AM by Craig McQueen

Actually I just realised it's displaying the URL as sftp://hostname/System.Byte[]. I guess that's a bug.

comment:2 Changed on Nov 29, 2012 at 8:34:46 AM by dkocher

  • Milestone set to 4.2.2
  • Owner set to dkocher
  • Status changed from new to assigned

comment:3 Changed on Nov 29, 2012 at 11:04:42 AM by dkocher

Can you verify the the TXT record included is correct. You can also enable debug logging in Cyberduck which will print the TXT record to the system.log.

comment:4 Changed on Nov 29, 2012 at 12:37:32 PM by dkocher

Please specify the operating system you run Cyberduck on Platform.

comment:5 Changed on Nov 30, 2012 at 1:54:33 PM by dkocher

  • Owner changed from dkocher to yla
  • Status changed from assigned to new

comment:6 Changed on Dec 11, 2012 at 4:20:09 PM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r10647.

Note: See TracTickets for help on using tickets.
swiss made software